# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String, DateTime, Integer


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    zabbix_table = Table(
        'tnx_zabbix', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),

        Column('zabbix_user_login', String(255), nullable=False, default=''),
        Column('zabbix_user_password', String(128), nullable=False,
               default=''),
        Column('project_id', String(64), nullable=False),
    )
    zabbix_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    zabbix_table = Table('tnx_zabbix', meta)
    zabbix_table.drop()
