# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


user_length_new = 100
user_length_old = 255


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    zabbix_table = Table('tnx_zabbix', meta, autoload=True)
    zabbix_table.c.zabbix_user_login.alter(
        Column('zabbix_user_login', String(user_length_new),
               nullable=False, default=''))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    zabbix_table = Table('tnx_zabbix', meta, autoload=True)
    zabbix_table.c.zabbix_user_login.alter(
        Column('zabbix_user_login', String(user_length_old),
               nullable=False, default=''))
