# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, DateTime, Integer


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    backup_templates = Table('backup_templates', meta, autoload=True)

    backup_templates.create_column(Column('created_at', DateTime))
    backup_templates.create_column(Column('updated_at', DateTime))
    backup_templates.create_column(Column('deleted_at', DateTime))
    backup_templates.create_column(Column('deleted', Integer))

    server_backup_templates = Table('server_backup_templates', meta,
                                    autoload=True)
    server_backup_templates.create_column(Column('created_at', DateTime))
    server_backup_templates.create_column(Column('updated_at', DateTime))
    server_backup_templates.create_column(Column('deleted_at', DateTime))
    server_backup_templates.create_column(Column('deleted', Integer))

    backup_systems = Table('backup_systems', meta, autoload=True)

    backup_systems.create_column(Column('created_at', DateTime))
    backup_systems.create_column(Column('updated_at', DateTime))
    backup_systems.create_column(Column('deleted_at', DateTime))
    backup_systems.create_column(Column('deleted', Integer))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    backup_templates = Table('backup_templates', meta, autoload=True)
    backup_templates.drop_column('created_at')
    backup_templates.drop_column('updated_at')
    backup_templates.drop_column('deleted_at')
    backup_templates.drop_column('deleted')

    server_backup_templates = Table('server_backup_templates', meta,
                                    autoload=True)
    server_backup_templates.drop_column('created_at')
    server_backup_templates.drop_column('updated_at')
    server_backup_templates.drop_column('deleted_at')
    server_backup_templates.drop_column('deleted')

    backup_systems = Table('backup_systems', meta, autoload=True)
    backup_systems.drop_column('created_at')
    backup_systems.drop_column('updated_at')
    backup_systems.drop_column('deleted_at')
    backup_systems.drop_column('deleted')
